Package com.google.android.exoplayer2

## Interface RenderersFactory

- All Known Implementing Classes:
    `CapturingRenderersFactory`, `DefaultRenderersFactory`

      public interface RenderersFactory

  Builds `Renderer` instances for use by a `SimpleExoPlayer`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Renderer[]` | `createRenderers​(Handler eventHandler, VideoRendererEventListener videoRendererEventListener, AudioRendererEventListener audioRendererEventListener, TextOutput textRendererOutput, MetadataOutput metadataRendererOutput)` | Builds the `Renderer` instances for a `SimpleExoPlayer`.

- - ### Method Detail

    - #### createRenderers

          Renderer[] createRenderers​(Handler eventHandler,
                                     VideoRendererEventListener videoRendererEventListener,
                                     AudioRendererEventListener audioRendererEventListener,
                                     TextOutput textRendererOutput,
                                     MetadataOutput metadataRendererOutput)

      Builds the `Renderer` instances for a `SimpleExoPlayer`.
      Parameters:
        `eventHandler` - A handler to use when invoking event listeners and outputs.
        `videoRendererEventListener` - An event listener for video renderers.
        `audioRendererEventListener` - An event listener for audio renderers.
        `textRendererOutput` - An output for text renderers.
        `metadataRendererOutput` - An output for metadata renderers.
      Returns:
        The `instances`.